/*
 * Rubik's cube interface
 *
 * Copyright (C) 2007, 2008 Emmanuel Thome'
 * <Emmanuel dot Thome at normalesup dot org>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef UTIL_HPP_
#define UTIL_HPP_

#include <ostream>
#include <vector>

template<class T>
std::ostream& operator<<(std::ostream& os, const std::vector<T> & a)
{
	os << "[";
	typedef typename std::vector<T>::const_iterator vTci_t;
	for(vTci_t i=a.begin();i!=a.end();i++) {
		os << " " << *i;
	}
	os << " ]";
	return os;
}

template<class T, class U>
std::ostream& operator<<(std::ostream& os, const std::pair<T,U> & a)
{
	os << "<" << a.first << "," << a.second << ">";
	return os;
}

#endif	/* UTIL_HPP_ */
